#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA6,0x9A,0x64,0x03,0xB6,0x96,0xFD,0x82,0x4F,0x3D,0x30,0xE6,
		0xC3,0xE5,0x02,0xD8,0x5B,0x32,0x87,0xA1,0x31,0xE4,0x80,0xE2,
		0x13,0x55,0xB8,0x47,0x5D,0x42,0x22,0xAA,0x4A,0x2A,0x74,0x74,
		0x2E,0x14,0xA4,0xB5,0x3F,0xA3,0x2E,0x12,0xC4,0x01,0xC6,0xD2,
		0x14,0x5D,0x4E,0x64,0x85,0x54,0x97,0x13,0x93,0xD8,0x1A,0xB4,
		0xAF,0xB8,0x38,0xF3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
